TulipTulip Docs
Produits

Mettre à jour un produit

Ce endpoint permet de mettre à jour un produit existant.

PATCH
/products/{productId}
key<token>

In: header

Path Parameters

productId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.mytulip.io/v2/products/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "status": "success",
  "product": {
    "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
    "product_type": "bike",
    "title": "string",
    "description": "string",
    "data": {
      "product_subtype": "standard",
      "brand": "SuperVélo",
      "model": "VTT"
    },
    "purchased_date": "2019-08-24T14:15:22Z",
    "value_excl": 1000
  }
}
{
  "status": "string",
  "type": "string",
  "message": "string",
  "execution_id": "string"
}
{
  "status": "string",
  "type": "string",
  "message": "string",
  "execution_id": "string"
}
{
  "status": "string",
  "type": "string",
  "message": "string",
  "execution_id": "string"
}

Que pensez-vous de cette page ?